## dashdemux dashdemux |

## Properties

gfloat | bandwidth-usage | Read / Write
guint | max-bitrate | Read / Write
guint | max-buffering-time | Read / Write
gchar * | presentation-delay | Read / Write
GstFraction | max-video-framerate | Read / Write
guint | max-video-height | Read / Write
guint | max-video-width | Read / Write

## Types and Values

struct | GstDashDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstAdaptiveDemux
                            ╰── GstDashDemux

## Implemented Interfaces

GstDashDemux implements GstChildProxy.

## Description

DASH demuxer element.

#### Example launch line

    1
    gst-launch-1.0 playbin uri="http://www-itec.uni-klu.ac.at/ftp/datasets/mmsys12/RedBullPlayStreets/redbull_4s/RedBullPlayStreets_4s_isoffmain_DIS_23009_1_v_2_1c2_2011_08_30.mpd"

## Synopsis

### Element Information

plugin | dashdemux
author | David Corvoysier <david.corvoysier@orange.com> Hamid Zakari <hamid.zakari@gmail.com> Gianluca Gennari <gennarone@gmail.com>
class | Codec/Demuxer/Adaptive

### Element Pads

name | sink
direction | sink
presence | always
details | application/dash+xml

name | audio_%02u
direction | source
presence | sometimes
details | ANY

name | subtitle_%02u
direction | source
presence | sometimes
details | ANY

name | video_%02u
direction | source
presence | sometimes
details | ANY

## Functions

## Types and Values

### struct GstDashDemux

    struct GstDashDemux;

Opaque GstDashDemux data structure.

## Property Details

### The `“bandwidth-usage”` property

      “bandwidth-usage”          gfloat

Percentage of the available bandwidth to use when selecting representations (deprecated).

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.8

### The `“max-bitrate”` property

      “max-bitrate”              guint

Max of bitrate supported by target video decoder (0 = no maximum).

Flags: Read / Write

Default value: 0

### The `“max-buffering-time”` property

      “max-buffering-time”       guint

Maximum number of seconds of buffer accumulated during playback(deprecated).

Flags: Read / Write

Allowed values: >= 2

Default value: 30

### The `“presentation-delay”` property

      “presentation-delay”       gchar *

Default presentation delay (in seconds, milliseconds or fragments) (e.g. 12s, 2500ms, 3f).

Flags: Read / Write

Default value: "10s"

### The `“max-video-framerate”` property

      “max-video-framerate”      GstFraction

Max video framerate to select (0/1 = no maximum).

Flags: Read / Write

### The `“max-video-height”` property

      “max-video-height”         guint

Max video height to select (0 = no maximum).

Flags: Read / Write

Default value: 0

### The `“max-video-width”` property

      “max-video-width”          guint

Max video width to select (0 = no maximum).

Flags: Read / Write

Default value: 0